Subject: Re: Transputers...

From: Dave Stampe-Psy+Eng <[email-masked]>
Date: Wed, 23 Oct 91 15:31:19 -0400

> From [email-masked] Wed Oct 23 13:50:33 1991
> From: [email-masked] (Dave Newton)
> Subject: Re: Transputers...
> To: [email-masked]
> 
> In a previous message, [email-masked] said:
> > (Just an aside, there really isn't an assembly language for the transputer.
> 
>    That strikes me as odd, since the $396 T400 board I mentioned comes with
> C, Occam, and assembly.
> 
> > However, I haven't given up on the transputer.  If you have addresses
> > for companies which are selling PC transputer cards I would love it if
> > you sent them to me.
> 
> > The only question is whether 100Mbps interconnect is fast enough.
> 
>    Um, I would certainly hope so.  That two-page article about the VPL thing
> was using straight ethernet for their interconnects.  If 100M isn't fast
> enough, there's a serious software problem, I'd have to say.
> 

Actually, VPL is just sending world database updates by Ethernet, which
is OK.  But we're talking about sending rendered pixels to the video board,
which, for a 500x500x24 bit picture, needs 6 Mbits/sec times the frame rate!
Can the video board handle this data rate???  If ypu use 4 transputers, can
they SEND this rate???  For our purposes, I think the world database
could reside on one transputer, which does preliminary clipping and
sends polygon and attribute lists to the other transputers.  IF the
video board can handle the input speed, this idea will work.  But not
if you have to design a custom video buffer... Or, how about using
4 video boards, genlocking them, and switching between them as their 
video segments occur???

Will I run out of "?????"'s???

- Dave Stampe

---

From: [email-masked] (Dave Newton)
Date: Wed, 23 Oct 91 19:39:33 CDT

> 4 video boards, genlocking them, and switching between them as their 

   Each set of transputers that is doing rendering would have a copy of
the world in it, so theoretically all it would have to do is blob-move
that memory into whatever yo uwere using for output.  If I'm going the
cheap eye-phone route, I'll probably not have 500x500x24 in the near
future.